DNF5(8)

BEZEICHNUNG
dnf5 - DNF5-Paketverwaltungswerkzeug

ÜBERSICHT

dnf5 Befehl [Optionen] [Argumente …]

BESCHREIBUNG

DNF5 ist die neue Version von DNF, einem Paketverwalter für RPM-basierte Linux-Distributionen. Es wurde vollständig in C++ neu geschrieben, um die Performance zu verbessern und externe Abhängigkeiten zu verringern.

BEFEHLE

Hier ist eine Liste der verfügbaren Befehle. Weitere Details finden Sie in den Handbuchseiten für den konkreten Befehl, zum Beispiel man dnf5 install.

    advisory <#advisory-command-ref-label>
        verwaltet Hinweise.

    autoremove <#autoremove-command-ref-label>
        entfernt nicht benötigte Pakete.

    check <#check-command-ref-label>
        sucht nach Problemen in der Paketdatenbank.

    check-upgrade <#check-upgrade-command-ref-label>
        sucht nach verfügbaren Paketaktualisierungen.

    clean <#clean-command-ref-label>
        entfernt zwischengespeicherte Daten oder macht sie ungültig.

    distro-sync <#distro-sync-command-ref-label>
        aktualisiert installierte Software auf die letzten verfügbaren Versionen oder stuft sie auf diese Version herunter.

    downgrade <#downgrade-command-ref-label>
        stuft Pakete herunter.

    download <#download-command-ref-label>
        lädt Pakete herunter.

    environment <#environment-command-ref-label>
        verwaltet Comps-Umgebungen.

    group <#group-command-ref-label>
        verwaltet Comps-Gruppen.

    history <#history-command-ref-label>
        verwaltet den Transaktionsverlauf.

    info <#info-command-ref-label>
        zeigt detaillierte Informationen über installierte oder verfügbare Pakete an.

    install <#install-command-ref-label>
        installiert Pakete.

    leaves <#leaves-command-ref-label>
        listet Gruppen von Randpaketen auf.

    list <#list-command-ref-label>
        listet installierte oder verfügbare Pakete auf.

    makecache <#makecache-command-ref-label>
        erzeugt den Metadaten-Zwischenspeicher.

    mark <#mark-command-ref-label>
        ändert den Installationsgrund eines Pakets.

    module <#module-command-ref-label>
        verwaltet Module.

    offline <#offline-command-ref-label>
        verwaltet Offline-Transaktionen.

    provides <#provides-command-ref-label>
        sucht nach einem Paket, welches den angegebenen Wert bereitstellt.

    reinstall <#reinstall-command-ref-label>
        reinstalliert Pakete.

    remove <#remove-command-ref-label>
        entfernt Pakete.

    replay <#replay-command-ref-label>
        wiederholt gespeicherte Transaktionen.

    repo <#repo-command-ref-label>
        verwaltet Paketquellen.

    repoquery <#repoquery-command-ref-label>
        sucht nach Paketen in Paketquellen.

    search <#search-command-ref-label>
        sucht anhand von Schlüsselwörtern nach Paketen.

    swap <#swap-command-ref-label>
        entfernt Software und installiert Software in einer einzigen Transaktion.

    system-upgrade <#system-upgrade-command-ref-label>
        aktualisiert das System auf eine neue Hauptversion.

    upgrade <#upgrade-command-ref-label>
        aktualisiert Pakete.

    versionlock <#versionlock-command-ref-label>
        schützt Pakete davor, auf neuere Versionen aktualisiert zu werden.

  Plugin-Befehle

Nachfolgend finden Sie eine Liste der als Befehl verfügbaren Plugins. Diese sind nach der Installation des Pakets dnf5-plugins verfügbar.

    automatic <#automatic-plugin-ref-label>
        ist eine alternative Befehlszeilenschnittstelle zu dnf upgrade, die für die automatische und regelmäßig wiederkehrende Ausführung über Systemd-Timer, Cronjobs und Ähnliches geeignet ist.

    builddep <#builddep-plugin-ref-label>
        installiert die zum Bau eines RPM-Pakets fehlenden Abhängigkeiten.

    changelog <#changelog-plugin-ref-label>
        zeigt die Änderungsprotokolle von Paketen an.

    config-manager <#config-manager-plugin-ref-label>
        verwaltet die Hauptkonfiguration sowie die Konfiguration der Paketquellen und Variablen.

    copr <#copr-plugin-ref-label>
        verwaltet Copr-Paketquellen (von Benutzern, der Gemeinschaft oder Drittanbietern bereitgestellte Ergänzungen).

    needs-restarting <#needs-restarting-plugin-ref-label>
        stellt fest, ob das System neu gestartet werden sollte.

    repoclosure <#repoclosure-plugin-ref-label>
        zeigt eine Liste unaufgelöster Abhängigkeiten für Paketquellen.

    reposync <#reposync-plugin-ref-label>
        gleicht Pakete und Metadaten einer fernen DNF-Paketquelle mit einem lokalen Verzeichnis ab.

OPTIONEN

Die folgenden Optionen sind im allgemeinen Kontext für jeden dnf5-Befehl anwendbar:

    --assumeno
        antwortet automatisch auf alle Fragen mit »ja«.

    --best
        versucht, in Transaktionen die besten verfügbaren Paketversionen zu verwenden.

        Insbesondere während dnf upgrade, wo standardmäßig Pakete übersprungen werden, die wegen Abhängigkeitsproblemen nicht installiert werden können, wird DNF5 durch diesen Schalter gezwungen, nur die neuesten Pakete zu berücksichtigen. Wenn es auf Pakete mit unerfüllten Abhängigkeiten trifft, dann meldet DNF5 einen Fehlschlag und gibt den Grund an, warum die neueste Version nicht installiert werden kann.

        Beachten Sie, dass die neueste verfügbare Version nur für die Pakete garantiert werden kann, die direkt angefordert werden (zum Beispiel als Befehlszeilenargumente) und in der Abhängigkeitsauflösung ältere Versionen abhängiger Pakete verwendet werden können, um deren Erfordernisse zu erfüllen.

    -C, --cacheonly
        verwendet nur zwischengespeicherte Daten beim Umgang mit Paketen und Paketquellen-Metadaten.
        Der Zwischenspeicher wird selbst dann nicht aktualisiert, wenn er nicht mehr aktuell ist.

    --comment=KOMMENTAR
        fügt einen Kommentar zum Transaktionsverlauf hinzu.

    --config=PFAD_ZUR_KONFIGURATIONSDATEI
        gibt den Ort der Konfigurationsdatei an.

    --debugsolver
        gibt zusätzliche Daten aus der Abhängigkeitsauflösung für
        Fehlerdiagnosezwecke aus. Die Daten werden in ./debugdata
        gespeichert.

    --disable-plugin=PLUGINNAME, …
        deaktiviert die angegebenen libdnf5-Bibliotheksplugins für den aktuellen DNF5-Befehl.
        Dies ist eine Listenoption, die mehrfach angegeben werden kann.
        Als Werte werden ein oder mehrere Namen akzeptiert.

    --disable-repo=PAKETQUELLEN-ID, …
        deaktiviert vorübergehend aktive Paketquellen für den aktuellen DNF5-Befehl.
        Dies ist eine Listenoption, die mehrfach angegeben werden kann.
        Als Werte werden eine oder mehrere Paketquellen-IDs akzeptiert.

    --dump-main-config
        schreibt die aktuellen Werte der Hauptkonfiguration in die Standardausgabe.

    --dump-repo-config=PAKETQUELLEN-ID, …
        schreibt die Paketquellenkonfigurationswerte in die Standardausgabe.
        Dies ist eine Listenoption, die mehrfach angegeben werden kann.
        Als Werte werden eine oder mehrere Paketquellen-IDs akzeptiert.

    --dump-variables
        schreibt Variablenwerte in die Standardausgabe.

    --enable-plugin=PLUGINNAME, …
        aktiviert die angegebenen libdnf5-Bibliotheksplugins für den aktuellen DNF5-Befehl.
        Dies ist eine Listenoption, die mehrfach angegeben werden kann.
        Als Werte werden ein oder mehrere Namen akzeptiert.

    --enable-repo=PAKETQUELLEN-ID, …
        aktiviert vorübergehend zusätzliche Paketquellen für den aktuellen DNF5-Befehl.
        Dies ist eine Listenoption, die mehrfach angegeben werden kann.
        Als Werte werden eine oder mehrere Paketquellen-IDs akzeptiert.

    --forcearch=ARCHITEKTUR
        erzwingt die Verwendung einer bestimmten Architektur. Siehe dnf5-forcearch(7) für weitere Informationen.

    -h, --help
        zeigt die Hilfe an.

    --installroot=ABSOLUTER_PFAD
        legt den Pfad der Installationswurzel fest. Ein absoluter Pfad ist erforderlich. Siehe dnf5-installroot(7) für weitere Informationen.

    --no-best
        beschränkt die Transaktion nicht nur auf die besten Kandidaten.

    --no-docs
        installiert keine Dateien, die als Dokumentation markiert sind (was Unix-Handbuchseiten und Texinfo-Dokumente beinhaltet).
        Die RPMTRANS_FLAG_NODOCS-Markierung wird nicht gesetzt.

    --no-gpgchecks
        überspringt die Überprüfung der OpenPGP-Signaturen von Paketen (sofern die RPM-Regeln es zulassen).

    --no-plugins
        deaktiviert alle libdnf5-Plugins.

    -q, --quiet
        zeigt in Verbindung mit einem nicht-interaktiven Befehl nur die relevanten Inhalte. Es werden Meldungen unterdrückt, die über den aktuellen Status oder Aktionen von DNF5 informieren.

    --refresh
        erzwingt das Aktualisieren der Metadaten vor der Ausführung des Befehls.

    --color=Farbe
        legt fest, ob in der Terminalausgabe Farben verwendet werden. Zulässige Werte sind always (immer), never (niemals) und auto (automatisch; Vorgabe).

    --repo=PAKETQUELLEN-ID, …
        aktiviert ausschließlich die angegebenen Paketquellen.
        Dies ist eine Listenoption, die mehrfach angegeben werden kann.
        Als Werte werden eine oder mehrere Paketquellen-IDs akzeptiert.

    --repofrompath=PAKETQUELLEN-ID,PAKETQUELLEN-PFAD
        gibt eine nur für diese eine Ausführung hinzuzufügende Paketquelle an. Dies kann mehrmals verwendet werden.

        Die neue Paketquellen-ID wird durch PAKETQUELLEN-ID und deren Basis-URL als PAKETQUELLEN-PFAD angegeben. Variablen in beiden Werten werden ersetzt, bevor die Paketquelle angelegt wird.

        Die Konfiguration der neuen Paketquelle kann mit den Optionen der Form --setopt=PAKETQUELLEN-ID.Option=Wert angepasst werden.

        Falls Sie nur Pakete aus dieser Paketquelle wollen, kombinieren Sie diese Option mit dem Schalter --repo=PAKETQUELLEN-ID.

    --releasever=VERÖFFENTLICHUNGSVERSION
        setzt den Wert der Distributions-Veröffentlichungsversion (die Variable releasever) in Konfigurationsdateien außer Kraft. Dies kann sich auf Zwischenspeicherpfade, Werte in Konfigurationsdateien und URLs der Spiegelserverliste auswirken. Wann immer releasever gesetzt ist, werden auch releasever_major und releasever_minor gesetzt, indem releasever am ersten . (Punkt) geteilt wird.

    --releasever-major=VERÖFFENTLICHUNGSHAUPTVERSION
        setzt die Variable releasever_major außer Kraft, die normalerweise automatisch erkannt oder aus dem Teil von $releasever vor dem ersten . übernommen wird. Dies hat keinen Einfluss auf die Einstellung der Variable releasever. Muss nach --releasever in der Befehlszeile angegeben werden, anderenfalls hat der Hauptversions-Teil von --releasever Vorrang.

    --releasever-minor=VERÖFFENTLICHUNGSNEBENVERSION
        setzt die Variable releasever_minor außer Kraft, die normalerweise automatisch erkannt oder aus dem Teil von $releasever nach dem ersten . übernommen wird. Dies hat keinen Einfluss auf die Einstellung der Variable releasever. Muss nach --releasever in der Befehlszeile angegeben werden, anderenfalls hat der Nebenversions-Teil von --releasever Vorrang.

    --setopt=[PAKETQUELLEN-ID.]OPTION=WERT
        setzt eine Konfigurationsoption aus der Konfigurationsdatei außer Kraft.
        Der Parameter PAKETQUELLEN-ID wird zum Außerkraftsetzen von Optionen für Paketquellen verwendet.

        Werte für Optionen wie excludepkgs, includepkgs, installonlypkgs und tsflags werden an den ursprünglichen Wert angehängt; er wird dadurch nicht außer Kraft gesetzt. Allerdings wird durch einen leeren Wert (z.B. --setopt=tsflags=) die Option geleert.

    --setvar=VARIABLENNAME=WERT
        setzt einen DNF5-Variablenwert außer Kraft, wie arch, releasever, usw.

    --skip-file-locks
        überspringt das Anfordern von Dateisperren, wie zum Beispiel die Sperre für die System-Paketquelle. Weitere Informationen finden Sie in dnf5.conf(5), Option skip_system_repo_lock.

    --show-new-leaves
        zeigt frisch installierte Randpakete und Pakete, die nach einer Transaktion Randpakete werden.

    --use-host-config
        verwendet Konfigurationsdateien und Variablendefinitionen aus dem Hauptsystem und nicht aus der Installationswurzel. Siehe dnf5-installroot(7) für weitere Informationen.

    --version
        zeigt die Version der dnf5-Anwendung und der libdnf5-Bibliothek an, zusammen mit erfolgreich geladenen Plugins und deren Versionen, und beendet dann das Programm.

    -y, --assumeyes
        antwortet automatisch auf alle Fragen mit »ja«.

    -x PAKETANGABE-N, …, --exclude=PAKETANGABE-N, …
        schließt die in den PAKETANGABE-N-Argumenten angegebenen Pakete von der Transaktion aus. Dies ist eine Listenoption.

METADATENABGLEICH

Voraussetzung für das korrekte Arbeiten von DNF5 ist der Zugriff auf aktuelle Daten aus allen aktivierten Paketquellen, aber das Kontaktieren ferner Spiegelserver bei jeder Aktion verlangsamt das Programm deutlich und kostet Bandbreite sowohl für den Benutzer wie auch für den Paketquellenanbieter. Anhand der Paketquellen-Konfigurationsoption metadata_expire ermittelt DNF5, ob eine bestimmte lokale Kopie von Paketquellendaten neu abgeglichen werden muss. Es ist von großer Bedeutung, dass die Anbieter der Paketquelle diese Option korrekt setzen, nämlich auf den Wert, dass, wenn bestimmte Metadaten zum Zeitpunkt T auf dem Server verfügbar waren, alle Pakete, auf die sie verweisen, auch zum Zeitpunkt Zeit + metadata_expire noch zum Herunterladen vom Server verfügbar sind.

Um die Bandbreitenlast weiter zu reduzieren, prüfen einige der Befehle, bei denen aktuelle Metadaten nicht unbedingt erforderlich sind (z. B. der Befehl group list), nicht, ob eine Paketquelle abgelaufen ist, und wenn eine Version lokal im Konto des Benutzer verfügbar ist, wird sie verwendet.

Weitere Informationen zu Metadaten und Zwischenspeicherung finden Sie in dnf5-caching(7).

REGELN ZUR ERSETZUNG VON KONFIGURATIONSDATEIEN

Die aktualisierten Pakete könnten die alten, geänderten Konfigurationsdateien durch die neuen ersetzen oder die älteren Dateien beibehalten. Keine der Dateien wird tatsächlich ersetzt. Den im Konflikt stehenden Dateien fügt RPM eine zusätzliche Endung an den ursprünglichen Namen an. Welche Datei nach der Transaktion den tatsächlichen Namen behält, wird nicht von der Paketverwaltung gesteuert, sondern von jedem Paket selbst gemäß den Paketierungsrichtlinien festgelegt.

EXIT-CODES

Im Allgemeinen wird der dnf5-Befehl mit den folgenden Rückgabewerten beendet:

    0
        Die Aktion war erfolgreich.

    1
        Während der Ausführung des Befehls ist ein Fehler aufgetreten.

    2
        Während der Auswertung der Argumente ist ein Fehler aufgetreten.

Weitere Exit-Codes können vom konkreten Befehl selbst zurückgegeben werden; siehe dessen Dokumentation für weitere Informationen.

DATEIEN

    Zwischenspeicherdateien
        /var/cache/libdnf5/

    Hauptkonfiguration
        /etc/dnf/dnf.conf

    Paketquellen-Konfiguration
        /etc/yum.repos.d/

    Paketquellen-Persistenz
        /var/lib/dnf/

    Systemstatus
        /usr/lib/sysimage/libdnf5/

UMGEBUNGSVARIABLEN

    DNF5_FORCE_INTERACTIVE
        setzt die Interaktivität der verbundenen Standard-Ein-/Ausgabe außer Kraft. Setzen Sie den Wert auf 0, um vorzutäuschen, dass die Ein-/Ausgabe nicht mit einem interaktiven Terminal verbunden ist und DNF5 keine Fragen stellen soll. Setzen Sie den Wert auf 1, um DNF5 dazu zu zwingen, Fragen zu stellen, selbst wenn das Terminal nicht interaktiv ist. Siehe die Optionen --assumeno und --assumeyes.

    DNF5_PLUGINS_DIR
        setzt ein Verzeichnis mit DNF5-Anwendungsplugins außer Kraft. Setzen Sie dies auf eine leere Zeichenkette, um das Laden von Anwendungsplugins zu verhindern.

    LIBDNF_PLUGINS_CONFIG_DIR
        setzt ein Verzeichnis mit libdnf5-Plugin-Konfigurationsdateien außer Kraft.

    SOURCE_DATE_EPOCH
        gibt einen Zeitstempel in Sekunden seit dem Beginn der UNIX-Zeitrechnung (»Epoch«) an. Wenn dieser Wert gesetzt ist, werden die Transaktionszeitstempel in der Verlaufsdatenbank auf die angegebene Zeit anstatt auf die aktuelle Zeit gesetzt. Zusätzlich werden die Pakete so sortiert, dass eine konsistente Transaktionsreihenfolge gewährleistet ist.

TEMP, TEMPDIR, TMP, TMPDIR
        setzt einen Pfad zu einem Verzeichnis mit temporären Dateien außer Kraft. Das Verzeichnis muss existieren. Standardwert ist /tmp.

SIEHE AUCH

    Befehle:
        dnf5-advisory(8), Advisory-Befehl
        dnf5-autoremove(8), Autoremove-Befehl
        dnf5-check(8), Check-Befehl
        dnf5-check-upgrade(8), Check-Upgrade-Befehl
        dnf5-clean(8), Clean-Befehl
        dnf5-distro-sync(8), Distro-Sync-Befehl
        dnf5-downgrade(8), Downgrade-Befehl
        dnf5-download(8), Download-Befehl
        dnf5-environment(8), Environment-Befehl
        dnf5-group(8), Group-Befehl
        dnf5-history(8), History-Befehl
        dnf5-info(8), Info-Befehl
        dnf5-install(8), Install-Befehl
        dnf5-leaves(8), Leaves-Befehl
        dnf5-list(8), List-Befehl
        dnf5-makecache(8), Makecache-Befehl
        dnf5-mark(8), Mark-Befehl
        dnf5-module(8), Module-Befehl
        dnf5-offline(8), Offline-Befehl
        dnf5-provides(8), Provides-Befehl
        dnf5-reinstall(8), Reinstall-Befehl
        dnf5-remove(8), Remove-Befehl
        dnf5-repo(8), Repo-Befehl
        dnf5-repoquery(8), Repoquery-Befehl
        dnf5-search(8), Search-Befehl
        dnf5-swap(8), Swap-Befehl
        dnf5-system-upgrade(8), System-Upgrade-Befehl
        dnf5-upgrade(8), Upgrade-Befehl
        dnf5-versionlock(8), Versionlock-Befehl

    Anwendungsplugins:
        dnf5-automatic(8), Automatic-Befehl
        dnf5-builddep(8), Builddep-Befehl
        dnf5-changelog(8), Changelog-Befehl
        dnf5-config-manager(8), Config-manager-Befehl
        dnf5-copr(8), Copr-Befehl
        dnf5-needs-restarting(8), Needs-Restarting-Befehl
        dnf5-repoclosure(8), Repoclosure-Befehl
        dnf5-repomanage(8), Repomanage-Befehl
        dnf5-reposync(8), Reposync-Befehl

    Bibliotheksplugins:
        libdnf5-actions(8), Aktionen-Plugin <#actions-plugin-ref-label>
        libdnf5-expired-pgp-keys(8), Abgelaufene-PGP-Schlüssel-Plugin <#expired-pgp-keys-plugin-ref-label>
        libdnf5-local(8), Lokal-Plugin <#local-plugin-ref-label>

    Konfiguration:
        dnf5-conf(5), DNF5-Konfigurationsreferenz

    Verschiedenes:
        dnf5-aliases(7), Aliase für Befehlszeilenargumente
        dnf5-caching(7), Zwischenspeicherung
        dnf5-comps(7), Comps-Gruppen und -Umgebungen
        dnf5-filtering(7), Paketfilterung
        dnf5-forcearch(7), Parameter zum Erzwingen einer Architektur
        dnf5-installroot(7), Installationswurzel-Parameter
        dnf5-modularity(7), Modularitätsübersicht
        dnf5-specs(7), Muster-Spezifikation
        dnf5-system-state(7), Systemstatus

    Homepage des Projekts:
        <https://github.com/rpm-software-management/dnf5>

Autor
Siehe AUTHORS.md in der dnf5-Quelldistribution.

Copyright
Mitwirkende am DNF5-Projekt.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).